﻿using System.Xml.Serialization;

namespace XmlSerialization
{
	/// <summary>
	/// Информация за пол
	/// </summary>
	/// <remarks>В XML типът се казва "Gender".</remarks>
	[XmlType("Gender")]
	public enum Gender
	{
		/// <summary>
		/// Мъж
		/// </summary>
		/// <remarks>В XML се сериализира като "male".</remarks>
		[XmlEnum("male")]
		Male,
		/// <summary>
		/// Жена
		/// </summary>
		/// <remarks>В XML се сериализира като "female".</remarks>
		[XmlEnum("female")]
		Female,
	}
}
